<?php

/**
 * [BEGIN_COT_EXT]
 * Hooks=users.profile.update.first
 * [END_COT_EXT]
 */

defined('COT_CODE') or die('Wrong URL.');

$sms_verify = true;

if($action == 'card_verify') {
  $ruser = array();

  if($urr['user_paychgblock'] < $sys['now']) {
   	$purse_fname = cot_import('popup_fname','P','TXT', 255);
   	$purse_lname = cot_import('popup_lname','P','TXT', 255);
    $purse_fcard = cot_import('popup_fcard','P','TXT');

   	if (empty($purse_fname)) cot_error('Укажите имя владельца карты', 'card_verify');
    if (empty($purse_lname)) cot_error('Укажите фамилию владельца карты', 'card_verify');
    if (empty($purse_fcard)) cot_error('Укажите номер карты', 'card_verify');

    if($sms_verify) {
      $hash = cot_import('wallets_schash', 'C', 'ALP');

      $code = cot_import('wallets_valid_code', 'C', 'ALP');
      $phone = cot_import('wallets_valid_phone', 'C', 'ALP');

      if (!empty($urr['user_phone'])) {
        $phone = $urr['user_phone'];
      }

    	if (!($hash == sha1($code.$phone.$sys['xk']))) cot_error('Для привязки карты, требуется подтверждение по моб. телефону', 'card_verify');
    }

   	if (!cot_error_found())
   	{
      if ($db->query("SELECT COUNT(*) FROM $db_users WHERE user_payment_card_num='".$purse_fcard."' AND user_id!=".$urr['user_id']." LIMIT 1")->fetchColumn() > 0) cot_error('Данная карта уже есть в базе данных.', 'card_verify');

     	if (!cot_error_found())
     	{
        if (!empty($phone) && empty($urr['user_phone'])) {
          if ($db->query("SELECT COUNT(*) FROM $db_users WHERE user_phone='".$phone."' AND user_id!=".$urr['user_id']." LIMIT 1")->fetchColumn() > 0) cot_error('Данный мобильный телефон уже есть в базе данных.', '');
          $ruserpurse['user_phone'] = $phone;
        }

       	if (!cot_error_found())
       	{
          $ruserpurse = array(
            'user_payment_card_num' => $purse_fcard,
            'user_payment_card_fn' => $purse_fname,
            'user_payment_card_ln' => $purse_lname,
            'user_payoutsblock' => ($sys['now']+(86400*7))
          );

       		$db->update($db_users, $ruserpurse, "user_id=".$urr['user_id']);
       		unset($ruserpurse);
       		cot_message('Ваша карта успешно привязана');
        }
      }
    }
  } else {
    cot_error('В целях безопасности, изменение реквизитов вывода будет доступно только '.cot_date('d.m.Y, в H:i', $urr['user_paychgblock']), 'card_verify');
  }
}

if($action == 'payments_purse') {
  $ruser = array();

  if($urr['user_paychgblock'] < $sys['now']) {
    $yandex_purse = cot_import('yandex_purse','P','TXT', 15);
   	$wm_purse = cot_import('wm_purse','P','TXT', 20);
   	$qiwi_purse = cot_import('qiwi_purse','P','TXT', 50);

   	if (!empty($wm_purse) || !empty($qiwi_purse) || !empty($yandex_purse))
   	{
      $ruserpurse = array();
      if (!empty($yandex_purse) && $yandex_purse != $urr['user_payment_yandex']) {
        if ($db->query("SELECT COUNT(*) FROM $db_users WHERE user_payment_yandex='".$yandex_purse."' AND user_id!=".$urr['user_id']." LIMIT 1")->fetchColumn() > 0) cot_error('Данный Яндекс.Деньги кошелек уже есть в базе данных.', 'yandex_purse');
        $ruserpurse['user_payment_yandex'] = $yandex_purse;
      }
      if (!empty($qiwi_purse) && $qiwi_purse != $urr['user_payment_qiwi']) {
        if ($db->query("SELECT COUNT(*) FROM $db_users WHERE user_payment_qiwi='".$qiwi_purse."' AND user_id!=".$urr['user_id']." LIMIT 1")->fetchColumn() > 0) cot_error('Данный Qiwi кошелек уже есть в базе данных.', 'qiwi_purse');
        $ruserpurse['user_payment_qiwi'] = $qiwi_purse;
      }
      if (!empty($wm_purse) && $wm_purse != $urr['user_payment_wm']) {
        if ($db->query("SELECT COUNT(*) FROM $db_users WHERE user_payment_wm='".$wm_purse."' AND user_id!=".$urr['user_id']." LIMIT 1")->fetchColumn() > 0) cot_error('Данный WebMoney кошелек уже есть в базе данных.', 'wm_purse');
        $ruserpurse['user_payment_wm'] = $wm_purse;
      }

      if($sms_verify) {
        $hash = cot_import('wallets_schash', 'C', 'ALP');

        $code = cot_import('wallets_valid_code', 'C', 'ALP');
        $phone = cot_import('wallets_valid_phone', 'C', 'ALP');
      	if (!($hash == sha1($code.$phone.$sys['xk']))) cot_error('Для привязки карты, требуется подтверждение по моб. телефону', 'card_verify');
        if (!empty($phone) && $phone != $urr['user_phone']) {
          if ($db->query("SELECT COUNT(*) FROM $db_users WHERE user_phone='".$phone."' AND user_id!=".$urr['user_id']." LIMIT 1")->fetchColumn() > 0) cot_error('Данный мобильный телефон уже есть в базе данных.', '');
          $ruserpurse['user_phone'] = $phone;
        }
      }

   		if (count($ruserpurse) > 0 && !cot_error_found())
   		{
        $ruserpurse['user_payoutsblock'] = $sys['now']+(86400*7);

   			$db->update($db_users, $ruserpurse, "user_id=".$urr['user_id']);
   			unset($ruserpurse);
   			cot_message('Ваши реквизиты успешно изменены');
   		}
   	}
  } else {
    cot_error('В целях безопасности, изменение реквизитов вывода будет доступно только '.cot_date('d.m.Y, в H:i', $urr['user_paychgblock']), 'card_verify');
  }
}

?>